MCP Tools Reference: ces.googleapis.com

Tool: delete_agent

Deletes the specified agent.

The following sample demonstrate how to use curl to invoke the delete_agent MCP tool.

Curl Request
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_agent",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for AgentService.DeleteAgent.

DeleteAgentRequest

JSON representation
{
  "name": string,
  "force": boolean,
  "etag": string
}
Fields
name

string

Required. The resource name of the agent to delete.

force

boolean

Optional. Indicates whether to forcefully delete the agent, even if it is still referenced by other app/agents/examples.

  • If force = false, the deletion fails if other agents/examples reference it.
  • If force = true, delete the agent and remove it from all referencing apps/agents/examples.
etag

string

Optional. The current etag of the agent. If an etag is not provided, the deletion will overwrite any concurrent changes. If an etag is provided and does not match the current etag of the agent, deletion will be blocked and an ABORTED error will be returned.

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌